Bug 440237 - Generate valid debuginfo packages for client libraries.
Generate valid debuginfo packages for client libraries.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
urgent Severity low
: ---
: ---
Assigned To: messaging-bugs
Kim van der Riet
:
Depends On: 447541
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 09:45 EDT by Alan Conway
Modified: 2011-08-12 12:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 11:05:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2008-04-02 09:45:05 EDT
Description of problem:

From rpmbuild: qpidc-debuginfo.i386: E: empty-debuginfo-package

Expected results:

We need to generate valid debuginfo packages and verify that we can debug c++
clients using those packages.  The rpmbuild warning indicates there's a problem,
and I don't think we have ever tested our debuginfo packages.
Comment 1 Alan Conway 2008-05-20 10:09:29 EDT
rpmbuild is now building debuginfo packages on rhel5, but we need to verify that
they are useful. We may need to change our build flags, currently we build
without -g flags so the debuginfo files may not actually contain much/any usable
debugging info.

We need to try some debugging with the debuginfo packages. If we find we need to
change build flags we need to verify performance of the build remains acceptable.

Verify broker debuginfo also.
Comment 2 Carl Trieloff 2008-05-21 09:34:14 EDT
works on RHEL 4, needs testing on RHEL5
Comment 3 Mike Bonnet 2008-06-19 23:51:11 EDT
qpidc-0.2.667603-1.el5, qpidc-perftest-0.2.667603-1.el5, and qpidd-0.2.667603-1.el5 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.